Bug 172950 - classmap.db should reside in /var/lib/gcj/
classmap.db should reside in /var/lib/gcj/
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-11 10:40 EST by Thomas Fitzsimmons
Modified: 2008-05-06 20:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:17:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNU Compiler Collection 24798 None None None Never

  None (edit)
Description Thomas Fitzsimmons 2005-11-11 10:40:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
From gbenson@redhat.com:

While we're changing things here I'd like to propose that the global
database be moved from /usr/lib/gcj-x.y.z/classmap.db to somewhere
like /var/lib/gcj/classmap.db.  Unlike the per-package files the the
global database is machine-specific, so putting it in /var makes us
more LSB-compliant.  One practical advantage of this is that it would
allow our rpms to be used on systems with readonly /usr partitions.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. try to install a native java rpm in a read-only /usr


Actual Results:  classmap.db is not updated

Expected Results:  classmap.db should be updated


Additional info:
Comment 1 Thomas Fitzsimmons 2006-02-03 20:40:10 EST
After seeing discussions about this on the public lists I wasn't sure if we
should still do it.  What do you think, Gary?
Comment 2 Gary Benson 2006-02-06 04:26:43 EST
Whenever I think about it I end up going round in circles :(

We shouldn't change it unless it's changed upstream too.  Before we suggest
anything upstream we need to be clear on why it needs doing, and presently I
have only a hunch.  Maybe there's a FHS mailing list we could consult...
Comment 3 Tom Tromey 2007-03-08 18:52:56 EST
FWIW I don't care much for the /var part.
If you install an RPM you need a writable /usr at least for that
transaction anyhow.

However as we discussed internally once, we probably could use
a change so that the standard directory is named after the
"abi version" that gcj generates, and then a change to libgcj
to search all abi-compatible directories.

That way if someone updates libgcj it will continue to run native
code, even if not all the jars are immediately recompiled.
Comment 4 Bug Zapper 2008-04-03 12:37:18 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Bug Zapper 2008-05-06 20:17:50 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.